package de.fhdw.wtf.common.ast.visitor;

import de.fhdw.wtf.common.ast.Group;
import de.fhdw.wtf.common.ast.type.ClassType;

/**
 * Visitor for the {@link de.fhdw.wtf.common.ast.GroupElement}.
 * 
 */
public interface GroupElementVisitor {
	
	/**
	 * Handle operations for the type {@link Group}.
	 * 
	 * @param group
	 *            {@link Group}
	 */
	void handle(Group group);
	
	/**
	 * Handle operations for the type {@link ClassType}.
	 * 
	 * @param clss
	 *            {@link ClassType}
	 */
	void handle(ClassType clss);
}
