package de.fhdw.wtf.common.ast.visitor;

import de.fhdw.wtf.common.ast.type.AtomicType;
import de.fhdw.wtf.common.ast.type.CompositeType;
import de.fhdw.wtf.common.ast.type.TypeProxy;

/**
 * Return-Visitor for {@link de.fhdw.wtf.common.ast.type.Type}.
 * 
 * @param <X>
 *            ReturnType
 */
public interface TypeVisitorReturn<X> {
	
	/**
	 * Handle-Method.
	 * 
	 * @param atomicType
	 *            {@link AtomicType}
	 * @return X
	 */
	X handle(AtomicType atomicType);
	
	/**
	 * Handle-Method.
	 * 
	 * @param compositeType
	 *            {@link CompositeType}
	 * @return X
	 */
	X handle(CompositeType compositeType);
	
	/**
	 * Handle-Method.
	 * 
	 * @param typeProxy
	 *            {@link TypeProxy}
	 * @return X
	 */
	X handle(TypeProxy typeProxy);
	
}
