package de.fhdw.wtf.common.exception.parser;

import de.fhdw.wtf.common.token.Token;

/**
 * The {@link NoColonException} will be thrown if a {@link de.fhdw.wtf.common.token.symbols.ColonToken} is expected, but
 * an another Token was found.
 * 
 */
public final class NoColonException extends AbstractParserException {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = 5032646987668024415L;
	
	/**
	 * Constructor of {@link NoColonException}.
	 * 
	 * @param token
	 *            token
	 * @param message
	 *            message
	 */
	private NoColonException(final Token token, final String message) {
		super(token, message);
	}
	
	/**
	 * Creates a {@link NoColonException}-Object.
	 * 
	 * @param token
	 *            token
	 * @return The {@link NoColonException}-Object.
	 */
	public static NoColonException create(final Token token) {
		return new NoColonException(token,
				de.fhdw.wtf.common.constants.parser.ExceptionConstants.NO_COLON_EXCEPTION_MESSAGE);
	}
}
