package de.fhdw.wtf.common.exception.parser;

import de.fhdw.wtf.common.token.Token;

/**
 * The {@link NoDoubleSquareBracketCloseException} will be thrown if a
 * {@link de.fhdw.wtf.common.token.symbols.DoubleSquareBracketCloseToken} is expected, but an another Token was found.
 * 
 */
public final class NoDoubleSquareBracketCloseException extends AbstractParserException {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = 6007461937658922620L;
	
	/**
	 * Constructor of {@link NoDoubleSquareBracketCloseException}.
	 * 
	 * @param token
	 *            token
	 * @param message
	 *            message
	 */
	private NoDoubleSquareBracketCloseException(final Token token, final String message) {
		super(token, message);
	}
	
	/**
	 * Creates a {@link NoDoubleSquareBracketCloseException}-Object.
	 * 
	 * @param token
	 *            token
	 * @return The {@link NoDoubleSquareBracketCloseException}-Object.
	 */
	public static NoDoubleSquareBracketCloseException create(final Token token) {
		return new NoDoubleSquareBracketCloseException(token,
				de.fhdw.wtf.common.constants.parser.ExceptionConstants.NO_DOUBLE_SQUARE_BRACKET_CLOSE_EXCEPTION_MESSAGE);
	}
}
