package de.fhdw.wtf.common.exception.referencer;

import de.fhdw.wtf.common.ast.Constructor;
import de.fhdw.wtf.common.ast.ConstructorReference;
import de.fhdw.wtf.common.constants.referencer.ExceptionConstans;
import de.fhdw.wtf.common.token.Token;

/**
 * A Method of the {@link de.fhdw.wtf.walker.tasks.ConstructorReferencer} throws it, if it can not find a
 * {@link Constructor} for a {@link ConstructorReference}.
 * 
 */
public final class ConstructorReferenceMismatchException extends ReferencerException {
	
	/**
	 * Constructor of {@link ConstructorReferenceMismatchException}.
	 * 
	 * @param token
	 *            token
	 */
	private ConstructorReferenceMismatchException(final Token token) {
		super(token, ExceptionConstans.CONSTRUCTOR_REFERENCE_MISMATCH_MESSAGE);
	}
	
	/**
	 * Creates a {@link ConstructorReferenceMismatchException}-Object.
	 * 
	 * @param token
	 *            token
	 * @return The {@link ConstructorReferenceMismatchException}-Object.
	 */
	public static ConstructorReferenceMismatchException create(final Token token) {
		return new ConstructorReferenceMismatchException(token);
	}
	
}
