package de.fhdw.wtf.common.exception.referencer;

import de.fhdw.wtf.common.exception.walker.TaskException;

/**
 * The {@link de.fhdw.wtf.walker.tasks.TypeReferencer} throws it, if the class could not found for one or more names.
 * 
 */
public final class ReferencingNotSuccessfulException extends TaskException {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = -8216115954693202252L;
	
	/**
	 * Constructor of {@link ReferencingNotSuccessfulException}.
	 * 
	 * @param message
	 *            message
	 */
	private ReferencingNotSuccessfulException(final String message) {
		super(message);
	}
	
	/**
	 * Creates a {@link ReferencingNotSuccessfulException}-Object.
	 * 
	 * @return The {@link ReferencingNotSuccessfulException}-Object.
	 */
	public static ReferencingNotSuccessfulException create() {
		return new ReferencingNotSuccessfulException(
				de.fhdw.wtf.common.constants.referencer.ExceptionConstans.REFERENCING_NOT_SUCCESSFUL_EXCEPTION_MESSAGE);
	}
	
}
