package de.fhdw.wtf.common.token;

/**
 * Virtual Token, used for Prototypes.
 */
public final class DummyToken extends EndToken {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = 5345040412518771533L;
	
	/**
	 * Constant to define hashCode().
	 */
	private static final int HASHCODE_CONSTANT = 3243242;
	
	/**
	 * Static attribute for Singleton.
	 */
	private static DummyToken dummyToken;
	
	/**
	 * Constructor of {@link DummyToken}.
	 */
	private DummyToken() {
		super(getDummyPosition());
	}
	
	/**
	 * Get the Singleton-Instance of {@link DummyToken}.
	 * 
	 * @return DummyToken
	 */
	public static synchronized DummyToken getInstance() {
		if (dummyToken == null) {
			dummyToken = new DummyToken();
		}
		return dummyToken;
	}
	
	/**
	 * Get the Dummy-Position.
	 * 
	 * @return Dummy-Position
	 */
	public static Position getDummyPosition() {
		return Position.create("", -1, -1, -1);
	}
	
	@Override
	public boolean equals(final Object o) {
		return o instanceof DummyToken;
	}
	
	@Override
	public int hashCode() {
		return HASHCODE_CONSTANT;
	}
}
